Skip to main content
PATCH
Update Doc Properties

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

docset_id
string
required

The id of the DocSet containing the document to update.

doc_id
string
required

The id of the document to update.

Body

application/json
operations
ReplaceOperation · object[]
required

A list of updates to a document that will be applied sequentially.

Response

Successful Response

id
string
required

The unique id for the Document.

elements
Element · object[]

The elements contained in the Document.

properties
Properties · object

A map of properties for the Document.

binary_data
string | null

The binary content of the document, encoded as a base64 string.